import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const npiproviderscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => NpiProviderScalarWhereInputObjectSchema), z.lazy(() => NpiProviderScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => NpiProviderScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => NpiProviderScalarWhereInputObjectSchema), z.lazy(() => NpiProviderScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  npiNumber: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  providerName: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  sortOrder: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const NpiProviderScalarWhereInputObjectSchema: z.ZodType<Prisma.NpiProviderScalarWhereInput> = npiproviderscalarwhereinputSchema as unknown as z.ZodType<Prisma.NpiProviderScalarWhereInput>;
export const NpiProviderScalarWhereInputObjectZodSchema = npiproviderscalarwhereinputSchema;
